Package edu.wisc.game.web

## Enum LaunchRulesBase.Mode

- java.lang.Object
- - java.lang.Enum<LaunchRulesBase.Mode>
  - - edu.wisc.game.web.LaunchRulesBase.Mode

- All Implemented Interfaces:
    `Serializable`, `Comparable<LaunchRulesBase.Mode>`
  Enclosing class:
    LaunchRulesBase

      public static enum LaunchRulesBase.Mode
      extends Enum<LaunchRulesBase.Mode>

  The name refers to the directory from whih trial lists or rule sets are read

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `APP` |
    `BRM` |
    `CGS` |
    `MLC` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static LaunchRulesBase.Mode` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static LaunchRulesBase.Mode[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### APP

          public static final LaunchRulesBase.Mode APP

    - #### MLC

          public static final LaunchRulesBase.Mode MLC

    - #### CGS

          public static final LaunchRulesBase.Mode CGS

    - #### BRM

          public static final LaunchRulesBase.Mode BRM

  - ### Method Detail

    - #### values

          public static LaunchRulesBase.Mode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LaunchRulesBase.Mode c : LaunchRulesBase.Mode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LaunchRulesBase.Mode valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null